%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

%global bzr bzr1537


Name:           awn-extras-applets
Version:        0.4.2
Release:        0.6.%{bzr}%{?dist}
Summary:        Extras applets for avant window navigator

Group:          User Interface/Desktops
License:        GPLv2+ and LGPLv2+
URL:            https://launchpad.net/awn-extras/
# upstream snapshot: 
# bzr branch lp:awn-extras
# bzr export --root=awn-extras-applets-0.4.2-bzr1523 awn-extras-applets-0.4.2-bzr1523.tar.gz
#
Source0:        %{name}-%{version}-%{bzr}.tar.gz
Patch0:         awn-extras-disable-applets.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


BuildRequires:  avant-window-navigator-devel >= 0.4.1
BuildRequires:  libwnck-devel
BuildRequires:  libXres-devel
BuildRequires:  libglade2-devel
# BuildRequires:  gnome-common
# BuildRequires:  gnome-menus-devel >= 3.0
# BuildRequires:  gnome-desktop-devel
BuildRequires:  librsvg2-devel
BuildRequires:  libgtop2-devel
BuildRequires:  gtk2-devel
BuildRequires:  dbus-devel
BuildRequires:  dbus-glib-devel
BuildRequires:  GConf2-devel
BuildRequires:  libnotify-devel
BuildRequires:  perl(XML::Parser)
BuildRequires:  pycairo-devel
BuildRequires:  pygtk2-devel
BuildRequires:  vte-devel
BuildRequires:  libXcomposite-devel
BuildRequires:  libtool
BuildRequires:  intltool 
BuildRequires:  vala-devel
BuildRequires:  WebKit-gtk-devel
BuildRequires:  libdesktop-agnostic-bin
#required for autoreconf:
BuildRequires:  autoconf, automake
Obsoletes:      awn-extras-applets-devel < %{version}-%{release}
Obsoletes:      %{name} < %{version}-%{release} 

Requires:       avant-window-navigator >= 0.4.1
#Requires:       gnome-python2-gnome
#Requires:       gnome-python2-gnomedesktop
#Requires:       gnome-python2-gnomevfs
Requires:       gnome-python2-libwnck
Requires:       gnome-python2-rsvg
#Requires:       gnome-python2-gtkmozembed
Requires:       gnome-python2-gconf
Requires:       gnome-python2-libgtop2   
Requires:       fortune-mod        
Requires:       gstreamer-python
Requires:       python-alsaaudio
Requires:       python-feedparser
Requires:       python-xklavier
Requires:       python-inotify
Requires:       python-feedparser
Requires:       python-dateutil
Requires:       python-gdata
Requires:       python-vobject
#Requires:       gnome-menus
Requires:       acpi
Requires:       dbus-python
Requires:       pycairo
Requires:       pygtk2
Requires:       vte
# mediaplayer applet
Requires:       python-mutagen 

Requires(pre):  GConf2
Requires(post): GConf2
Requires(preun): GConf2


%description
awn-extras-applets includes extras applets of Avant Window Navigator (Awn).


%prep
%setup -q -n %{name}-%{version}-%{bzr}
%patch0 -p1 -b .configure
#%patch1 -p0 -b .fix-yama


%build
libtoolize --force
intltoolize -f
autoreconf -v --install 
%configure --disable-static \
           --disable-pymod-checks \
           --with-webkit \
           --disable-shave \
           --with-gnu-ld \
           --without-gnome \
           --without-mozilla
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT

find ${RPM_BUILD_ROOT} -name '*.la' | xargs rm

%find_lang awn-extras

#fix non-executable-script
chmod +x $RPM_BUILD_ROOT%{_datadir}/avant-window-navigator/applets/comics/comics.sh

#remove script-shebang in non-executables
for lib in $RPM_BUILD_ROOT%{_datadir}/avant-window-navigator/applets/*/*.py; do
 sed '/\/usr\/bin\/python/d' $lib > $lib.new &&
 touch -r $lib $lib.new &&
 mv $lib.new $lib
done
for lib in $RPM_BUILD_ROOT%{_datadir}/avant-window-navigator/applets/*/*/*.py; do
 sed '/\/usr\/bin\/python/d' $lib > $lib.new &&
 touch -r $lib $lib.new &&
 mv $lib.new $lib
done
for lib in $RPM_BUILD_ROOT%{_datadir}/avant-window-navigator/applets/*/*.py; do
 sed '/\/usr\/bin\/env/d' $lib > $lib.new &&
 touch -r $lib $lib.new &&
 mv $lib.new $lib
done
for lib in $RPM_BUILD_ROOT%{_datadir}/avant-window-navigator/applets/*/*/*.py; do
 sed '/\/usr\/bin\/env/d' $lib > $lib.new &&
 touch -r $lib $lib.new &&
 mv $lib.new $lib
done

#remove test applets
rm -rf $RPM_BUILD_ROOT%{_datadir}/avant-window-navigator/applets/python-test
rm -rf $RPM_BUILD_ROOT%{_libdir}/awn/applets/vala-test
rm -f $RPM_BUILD_ROOT%{_datadir}/avant-window-navigator/applets/python-test.desktop
rm -f $RPM_BUILD_ROOT%{_datadir}/avant-window-navigator/applets/vala-test.desktop

#remove the pandora applet https://bugs.launchpad.net/awn-extras/+bug/362709
rm -rf $RPM_BUILD_ROOT%{_datadir}/avant-window-navigator/applets/pandora
rm -f $RPM_BUILD_ROOT%{_datadir}/avant-window-navigator/schemas/awn-applet-pandora.schema-ini
rm -f $RPM_BUILD_ROOT%{_datadir}/avant-window-navigator/applets/webapplet/icons/pandora-48.png
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/gconf/schemas/awn-applet-pandora.schemas
rm -f $RPM_BUILD_ROOT%{_datadir}/avant-window-navigator/applets/pandora.desktop


%pre
%gconf_schema_prepare awn-applet-bandwidth-monitor awn-applet-battery awn-applet-cairo-clock awn-applet-calendar awn-applet-comics awn-applet-cpufreq awn-applet-dialect awn-applet-digital-clock awn-applet-feeds awn-applet-file-browser-launcher awn-applet-garbage awn-applet-hardware-sensors awn-applet-mail awn-applet-media-control awn-applet-media-player awn-applet-mount awn-applet-notification-area awn-applet-notification-daemon awn-applet-places awn-applet-quit awn-applet-shinyswitcher awn-applet-slickswitcher awn-applet-sysmon awn-applet-to-do awn-applet-volume-control awn-applet-weather awn-applet-webapplet awnsystemmonitor

%gconf_schema_obsolete DesktopManager arss awn-notification-daemon awnsystemmonitor awnterm cairo-clock digitalClock file-browser-launcher filebrowser places pynot-rgba pynot shinyswitcher to-do trash webapplet


%post
%gconf_schema_upgrade awn-applet-bandwidth-monitor awn-applet-battery awn-applet-cairo-clock awn-applet-calendar awn-applet-comics awn-applet-cpufreq awn-applet-dialect awn-applet-digital-clock awn-applet-feeds awn-applet-file-browser-launcher awn-applet-garbage awn-applet-hardware-sensors awn-applet-mail awn-applet-media-control awn-applet-media-player awn-applet-mount awn-applet-notification-area awn-applet-notification-daemon awn-applet-places awn-applet-quit awn-applet-shinyswitcher awn-applet-slickswitcher awn-applet-sysmon awn-applet-to-do awn-applet-volume-control awn-applet-weather awn-applet-webapplet awnsystemmonitor

/sbin/ldconfig

touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%preun
%gconf_schema_remove awn-applet-bandwidth-monitor awn-applet-battery awn-applet-cairo-clock awn-applet-calendar awn-applet-comics awn-applet-cpufreq awn-applet-dialect awn-applet-digital-clock awn-applet-feeds awn-applet-file-browser-launcher awn-applet-garbage awn-applet-hardware-sensors awn-applet-mail awn-applet-media-control awn-applet-media-player awn-applet-mount awn-applet-notification-area awn-applet-notification-daemon awn-applet-places awn-applet-quit awn-applet-shinyswitcher awn-applet-slickswitcher awn-applet-sysmon awn-applet-to-do awn-applet-volume-control awn-applet-weather awn-applet-webapplet awnsystemmonitor

%postun
/sbin/ldconfig

if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%clean
rm -rf $RPM_BUILD_ROOT

%files -f awn-extras.lang
%defattr(-,root,root,-)
%doc ChangeLog COPYING README
%config(noreplace) %{_sysconfdir}/gconf/schemas/*
%{_libdir}/awn
%dir %{python_sitearch}/awn/extras
%{python_sitearch}/awn/extras/*
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/avant-window-navigator/applets/*
%{_datadir}/avant-window-navigator/schemas/*


%changelog
* Mon Sep 12 2011 Tim Lauridsen <timlau@fedoraproject.org> - 0.4.2-0.6.bzr1537
- Fix typo in %%post and %%preun (%%gconf_schema_xxxxxx lines)

* Mon Sep 12 2011 Tim Lauridsen <timlau@fedoraproject.org> - 0.4.2-0.5.bzr1537
- Added --without-mozilla to configure (gtkmozembed is being retiered)
- Cleanup requirers

* Fri Sep 2 2011 Tim Lauridsen <timlau@fedoraproject.org> - 0.4.2-0.4.bzr1537
- New upstream bzr snapshot # 1537
- Added --without-gnome to configure (Problem by gnome-menues requirement)
- Added patch to disable build awnterm (build problem)

* Tue Aug 30 2011 Tim Lauridsen <timlau@fedoraproject.org> - 0.4.2-0.3.bzr1523
- rebuild

* Fri Jul 15 2011 Tim Lauridsen <timlau@fedoraproject.org> - 0.4.2-0.2.bzr1523
- remove BR: libsexy-devel, because it is not needed any more.

* Tue May 31 2011 Tim Lauridsen <timlau@fedoraproject.org> - 0.4.2-0.1.bzr1523
- updated to upstream bzr snapshot 1523
- remove old patches
- added fix-notification-area.patch to fix compile issue in notification-area plugin
- added fix-yama.patch to fix yama runtime issue when XDG_DATA_DIRS is not set.
- Require/BuildReq newer version of avant-window-navigator ( 0.4.1 )
- added gnome-python2-libgtop2, fortune-mod to Requires

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-27
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Nov 06 2010 leigh scott <leigh123linux@googlemail.com> - 0.4.0-26
- rebuilt and patched for new libnotify version

* Wed Sep 29 2010 jkeating - 0.4.0-25
- Rebuilt for gcc bug 634757

* Fri Sep 17 2010 leigh scott <leigh123linux@googlemail.com> - 0.4.0-24
- apply upstream fix for cairo-menu (Bz 601616)

* Tue Sep 14 2010 leigh scott <leigh123linux@googlemail.com> - 0.4.0-23
- apply upstream fix for mail  applet (Bz 591211)

* Mon Sep 13 2010 leigh scott <leigh123linux@googlemail.com> - 0.4.0-22
- apply upstream fix for dialect applet (Bz 607132)

* Thu Aug 05 2010 Leigh Scott <leigh123linux@googlemail.com> - 0.4.0-21
- add requires alacarte (Bz 614700)

* Thu Aug 05 2010 Leigh Scott <leigh123linux@googlemail.com> - 0.4.0-20
 file-browser-launcher (Bz 604868)

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.4.0-19
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Mon Jul 05 2010 Leigh Scott <leigh123linux@googlemail.com> - 0.4.0-18
- rebuild for libwebkit

* Fri Jun 25 2010 Leigh Scott <leigh123linux@googlemail.com> - 0.4.0-17
- finish killig pandora

* Fri Jun 11 2010 Leigh Scott <leigh123linux@googlemail.com> - 0.4.0-16
- remove shebangs in a safer way (Bz 602929)

* Thu Jun 10 2010 Leigh Scott <leigh123linux@googlemail.com> - 0.4.0-15
- remove the pandora applet (Bz 595208)

* Tue Jun 08 2010 Leigh Scott <leigh123linux@googlemail.com> - 0.4.0-14
- apply upstream fix for weatherapplet (Bz 600700)

* Sat Jun 05 2010 Leigh Scott <leigh123linux@googlemail.com> - 0.4.0-13
- apply upstream fix for file-browser-launcher (Bz 600683)

* Fri Jun 04 2010 Leigh Scott <leigh123linux@googlemail.com> - 0.4.0-12
- apply upstream fix for weatherapplet (Bz 597791)

* Fri May 28 2010 Leigh Scott <leigh123linux@googlemail.com> - 0.4.0-11
- apply upstream fix for weatherapplet (Bz 592753)

* Thu May 27 2010 Leigh Scott <leigh123linux@googlemail.com> - 0.4.0-10
- apply upstream fix for slickswitcher (Bz 591110)

* Mon May 17 2010 Leigh Scott <leigh123linux@googlemail.com> - 0.4.0-9
- Add more requires python-vobject, python-gdata, python-dateutil,
  python-feedparser and gnome-python2-gconf

* Mon May 17 2010 Leigh Scott <leigh123linux@googlemail.com> - 0.4.0-8
- Add requires python-inotify

* Mon May 17 2010 Leigh Scott <leigh123linux@googlemail.com> - 0.4.0-7
- apply upstream fix for thinkhdaps (Bz 592357) 

* Fri May 14 2010 Leigh Scott <leigh123linux@googlemail.com> - 0.4.0-6
- apply upstream fix for awn-bwm (Bz 589724)

* Thu Apr 29 2010 Leigh Scott <leigh123linux@googlemail.com> - 0.4.0-5
- add versioned Obsoletes
- remove the test desktop files

* Thu Apr 29 2010 Leigh Scott <leigh123linux@googlemail.com> - 0.4.0-4
- add Obsoletes awn-extras-applets-devel

* Wed Apr 28 2010 Leigh Scott <leigh123linux@googlemail.com> - 0.4.0-3
- fix find_lang
- fix non-executable-script

* Sat Apr 24 2010 Leigh Scott <leigh123linux@googlemail.com> - 0.4.0-2
- disable shave in configure

* Sat Apr 24 2010 Leigh Scott <leigh123linux@googlemail.com> - 0.4.0-1
- update to 0.4.0
- remove devel package (it had no use)
- add  libdesktop-agnostic Br
- replace the ubuntu icon in the MiMenu applet
- add patch to fix python location
- remove test applets
- update scriptlets and python macros
- update licence tag

* Fri Jan 22 2010 Rahul Sundaram <sundaram@fedoraproject.org> - 0.3.2.2-4
- Rebuild for libgnome-desktop soname bump

* Fri Jan 15 2010 Caolán McNamara <caolanm@redhat.com> - 0.3.2.2-3
- Resolves: rhbz#511628 fix dup calthread.py entry in Makefile

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jun 09 2009 Sindre Pedersen Bjørdal <sindrepb@fedoraproject.org> - 0.3.2.2-1
- Remove python binding patch, merged upstream
- New upstream bugfix release
- Rebuild for new libvte

* Tue Apr 02 2009 Sindre Pedersen Bjørdal <sindrepb@fedoraproject.org> - 0.3.2.1-8
- Add patch to fix build on x86_64
- Enable webkit-gtk powered applets

* Tue Apr 02 2009 Sindre Pedersen Bjørdal <sindrepb@fedoraproject.org> - 0.3.2.1-4
- New upstream release
- Add devel package
- Update schemas scriplets
- Fix rpmlint warnings about non-executable scripts
- Add gnome-icon-cache scriplet
- Add shared library scriplet
- clean up files list
- Use python_sitearch, not sitelib as package is arch.

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.6-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jan 06 2009 Caolán McNamara <caolanm@redhat.com> - 0.2.6-8
- Resolves: rhbz#478696 make build again

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.2.6-7
- Rebuild for Python 2.6

* Thu Aug 26 2008 Huang Peng <phuang@redhat.com> - 0.2.6-6
- Replace require gnome-python2 with gnome-python2-gnome

* Thu Jun 05 2008 Caolán McNamara <caolanm@redhat.com> - 0.2.6-5
- rebuild for dependancies

* Thu Mar 27 2008 Huang Peng <phuang@redhat.com> - 0.2.6-4
- Add libXcomposite-devel in BuildRequire.

* Mon Mar 24 2008 Huang Peng <phuang@redhat.com> - 0.2.6-3
- Remove require avant-window-navigator-python.

* Wed Mar 19 2008 Huang Peng <phuang@redhat.com> - 0.2.6-2
- Update BuildRequire and Require in rpm spec file.

* Mon Mar 17 2008 Huang Peng <phuang@redhat.com> - 0.2.6-1
- Update to 0.2.6.

* Wed Feb 20 2008 Huang Peng <phuang@redhat.com> - 0.2.4-1
- Update to 0.2.4.

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.2.1-2
- Autorebuild for GCC 4.3

* Tue Nov 6 2007 Huang Peng <phuang@redhat.com> - 0.2.1-1
- Initial build.
